BLKID(8)

NOM
blkid - Trouver ou afficher les attributs de périphérique en mode bloc

SYNOPSIS

blkid --label label | --uuid uuid

blkid [--no-encoding --garbage-collect --list-one --cache-file file] [--output format] [--match-tag tag] [--match-token NAME=value] [device...]

blkid --probe [--offset offset] [--output format] [--size size] [--match-tag tag] [--match-types list] [--usages list] [--no-part-details] device...

blkid --info [--output format] [--match-tag tag] device...

DESCRIPTION

Le programme blkid est une interface en ligne de commande pour la bibliothèque libblkid(3). Il peut déterminer le type de contenu (par exemple, un système de fichiers ou une partition d’échange) associé à un périphérique bloc et aussi les attributs (sous la forme de jetons NOM=valeur) des métadonnées (par exemple, l’étiquette LABEL ou l’UUID).

It is recommended to use lsblk(8) command to get information about block devices, or lsblk --fs to get an overview of filesystems, or findmnt(8) to search in already mounted filesystems.

    lsblk(8) provides more information, better control on output formatting, easy to use in scripts and it does not require root permissions to get actual information. blkid reads information directly from devices and for non-root users it returns cached unverified information. blkid is mostly designed for system services and to test libblkid(3) functionality.

Quand un périphérique est indiqué, seuls les jetons pour ce périphérique sont affichés. Plusieurs arguments périphérique peuvent être indiqués sur la ligne de commande. Si aucun n’est donné, tous les partitions et périphériques non partitionnés apparaissant dans /proc/partitions seront affichés, s’ils sont reconnus.

blkid has two main forms of operation: either searching for a device with a specific NAME=value pair, or displaying NAME=value pairs for one or more specified devices.

Pour des raisons de sécurité, blkid ignore silencieusement tous les périphériques quand le résultat des détections est ambivalent (plusieurs périphériques en conflit sont détectés). Le mode bas niveau (-p) fournit plus d’informations et un code de retour supplémentaire. Il est recommandé d’utiliser wipefs(8) pour une vue d’ensemble détaillée et pour supprimer toutes les choses obsolètes (chaînes magiques) sur le périphérique.

OPTIONS

Les arguments taille et position peuvent être suivis de suffixes multiplicatifs comme KiB=1024, MiB=1024*1024, etc., pour GiB, TiB, PiB, EiB, ZiB et YiB (la partie « iB » est facultative, par exemple « K » est identique à « KiB ») ou des suffixes KB=1000, MB=1000*1000, etc., pour GB, TB, PB, EB, ZB et YB.

-c, --cache-file fichier_cache
    Read from cachefile instead of reading from the default cache file (see the CONFIGURATION FILE section for more details). If you want to start with a clean cache (i.e., don’t report devices previously scanned but not necessarily available at this time), specify /dev/null.

-d, --no-encoding
    Ne pas encoder les caractères non imprimables. Les caractères non imprimables sont encodés par les notations ^ et M- par défaut. Remarquez que le format de sortie --output udev utilise un encodage différent qui ne peut pas être désactivé.

-D, --no-part-details
    Ne pas afficher d’information (indicateurs PART_ENTRY_*) de la table de partitions dans le mode de détection bas niveau.

-g, --garbage-collect
    Lancer le ramasse-miettes sur le cache de blkid pour supprimer les périphériques qui n’existent plus.

-H, --hint setting
    Set probing hint. The hints are an optional way to force probing functions to check, for example, another location. The currently supported is "session_offset=number" to set session offset on multi-session UDF.

-i, --info
    Afficher les renseignements de limites (topologie) d’E/S. Le format de sortie export est automatiquement activé. Cette option peut être utilisée avec l’option --probe.

-k, --list-filesystems
    Afficher tous les systèmes de fichiers et RAID connus et quitter.

-l, --list-one
    Ne rechercher qu’un périphérique correspondant au paramètre demandé indiqué avec l’option --match-token. Si plusieurs périphériques correspondent, le périphérique de priorité la plus haute sera affiché ou le premier périphérique avec la priorité voulue (mais consultez ci-dessous la remarque sur udev). Voici les types de périphériques par priorité décroissante : Device Mapper, EVMS, LVM, MD, puis les périphériques bloc classiques. Si cette option n’est pas utilisée, blkid affichera tous les périphériques qui correspondent à la recherche.

    Cette option oblige blkid à utiliser les jetons LABEL ou UUID dans --match-token. Le but est de fournir une sortie cohérente avec celle d’autres outils (tel mount(8), etc.) sur les systèmes où le même indicateur est utilisé pour plusieurs périphériques.

-L, --label étiquette
    Rechercher le périphérique qui utilise cette étiquette de système de fichiers ; c’est équivalent à : --list-one --output device --match-token LABEL=étiquette. Cette méthode de recherche est capable d’utiliser de manière fiable les liens symboliques udev du type /dev/disk/by-label (suivant une configuration définie dans /etc/blkid.conf). Évitez d’utiliser directement les liens symboliques, car leur utilisation n’est pas sûre sans vérification. L’option --label fonctionne sur des systèmes avec ou sans udev.

    Malheureusement, le blkid(8) d’origine d’e2fsprogs utilise l’option -L comme synonyme de -o list. Pour assurer la portabilité, l’utilisation de -l -o device -t LABEL=étiquette et B*-o list* est à préférer dans les scripts à l’option -L.

-n, --match-types liste
    Restreindre les fonctions de détection à la liste séparée par des virgules de types (noms) de superblocs. Les types peuvent être préfixés dans la liste par no pour signifier qu’ils doivent être ignorés. Par exemple :

    blkid --probe --match-types vfat,ext3,ext4 /dev/sda1

    détecte les systèmes de fichiers VFAT, ext3 et ext4, et

    blkid --probe --match-types nominix /dev/sda1

    détecte tous les formats gérés sauf les systèmes de fichiers MINIX. Cette option n’est utile qu’avec l’option --probe.

-o, --output format
    Utiliser le format de sortie indiqué. Remarquez que l’ordre des variables et des périphériques n’est pas fixé. Consultez également l’option -s. Le paramètre format peut prendre une des valeurs suivantes :

    full
        Afficher tous les indicateurs (option par défaut).

    value
        Afficher la valeur des indicateurs.

    list
        Afficher les périphériques dans un format agréable. Ce format d’affichage n’est pas pris en charge pour la détection bas niveau (--probe ou --info).

        Ce format d’affichage est obsolète, remplacé par la commande lsblk(8).

    périphérique
        Afficher seulement le nom de périphérique. Ce format d’affichage est toujours activé pour les options --label et --uuid.

    udev
        Afficher les paires clé="valeur" pour une importation aisée dans l’environnement udev. Les clés sont préfixées avec ID_FS_ ou ID_PART_. La valeur peut être modifiée pour être sûre dans l’environnement udev. Sont permises l’ASCII pur, la protection par valeur hexadécimale et l’UTF-8 valable. Toutes les autres valeurs (y compris les espaces blancs) sont remplacées par « _ ». Les clés avec le suffixe _ENC utilisent la protection hexadécimale pour les caractères non sûrs.

        La sortie udev renvoie l’indicateur ID_FS_AMBIVALENT si plusieurs superblocs sont détectés et des indicateurs ID_PART_ENTRY_* sont toujours renvoyés pour toutes les partitions, y compris les partitions vides.

        Ce format d’affichage est obsolète.

    export
        Afficher les couples de clé=valeur pour les importer facilement dans l’environnement. Ce format de sortie est automatiquement activé quand des limites d’E/S (option --info) sont demandées.

        Les caractères non imprimables sont encodés par les notations ^ et M- et tous les caractères potentiellement non sûrs sont protégés.

    json
        Print the tags entries in JSON objects.

-O, --offset position
    Détecter à la position donnée (seulement utile avec --probe). Cette option peut être utilisée avec l’option --info.

-p, --probe
    Passer en mode de détection bas niveau de superbloc (en contournant le cache).

    Remarquez que la détection bas niveau renvoie aussi des informations sur le type de table de partitions (indicateur PTTYPE) et sur les partitions (indicateurs PART_ENTRY_*). Les noms d’indicateurs produits par la détection bas niveau sont basés sur les noms utilisés en interne par libblkid et peuvent être différents lorsqu’elle est exécutée sans --probe (par exemple, PART_ENTRY_UUID= vs PARTUUID=). Consultez aussi --no-part-details.

-s, --match-tag indicateur
    Pour chaque périphérique indiqué, n’afficher que les indicateurs qui correspondent à indicateur. L’option --match-tag peut être indiquée plusieurs fois. Si aucun indicateur n’est indiqué, tous les jetons sont affichés pour tous les périphériques indiqués. Pour ne faire que rafraîchir le cache sans afficher de jeton, utilisez --match-tag none sans aucune autre option.

-S, --size taille
    Remplacer la taille du périphérique ou du fichier (seulement utile avec --probe).

-t, --match-token NOM=valeur
    Rechercher les périphériques bloc qui possèdent des jetons nommés NOM et qui ont pour valeur valeur, puis afficher les périphériques trouvés. Les valeurs usuelles de NOM sont TYPE, LABEL et UUID. S’il n’y a pas de périphérique précisé sur la ligne de commande, tous les périphériques bloc seront analysés ; sinon, seuls les périphériques indiqués par l’utilisateur seront étudiés.

-u, --usages liste
    Restreindre les fonctions de détection à la liste séparée par des virgules de types d'« utilisation ». Les types d’utilisation gérés sont : filesystem (système de fichiers), raid (RAID), crypto (chiffré) et other (autre). Les types d’utilisation peuvent être préfixés dans la liste par no pour signifier qu’ils doivent être ignorés. Par exemple :

    blkid --probe --usages filesystem,other /dev/sda1

    détecte tous les formats de systèmes de fichiers et autres (par exemple, les espaces d’échange) et

    blkid --probe --usages noraid /dev/sda1

    détecte tous les formats gérés sauf les RAID. Cette option n’est utile qu’avec l’option --probe.

-U, --uuid UUID
    Chercher le périphérique qui utilise cet UUID de système de fichiers. Pour plus de précisions, consultez l’option --label.

-h, --help
    Afficher l’aide-mémoire puis quitter.

-V, --version
    Afficher la version et quitter.

CODE DE RETOUR

Si le périphérique indiqué ou celui adressé par l’indicateur précisé (option --match-token) a été trouvé et qu’il est possible de réunir quelques informations à son propos, un code de retour 0 est renvoyé. Remarquez que l’option --match-tag filtre les indicateurs de sortie, mais qu’elle n’affecte pas le code de retour.

Si le jeton indiqué n’a pas été trouvé, ou si aucun périphérique (indiqué) n’a pu être identifié, ou qu’il est impossible d’obtenir une information sur les identificateurs ou le contenu de périphérique, un code de retour 2 est renvoyé.

Pour les erreurs d’utilisation et autres, un code de retour 4 est renvoyé.

Si un résultat de détection bas niveau ambivalent a été détecté (-p), un code de retour 8 est renvoyé.

FICHIER DE CONFIGURATION

The standard location of the /etc/blkid.conf config file can be overridden by the environment variable BLKID_CONF. The following options control the libblkid library:

SEND_UEVENT=<yes|not>
    Envoyer « uevent » lorsque le lien symbolique _/dev/disk/by-{label,uuid,partuuid,partlabel}/ ne correspond pas au LABEL, UUID, PARTUUID ou PARTLABEL du périphérique. yes par défaut.

CACHE_FILE=<chemin>
    Remplacer l’emplacement standard du fichier de cache. Cette option peut être remplacée par la variable d’environnement BLKID_FILE. /run/blkid/blkid.tab par défaut ou /etc/blkid.tab sur les systèmes sans répertoire /run.

EVALUATE=<méthodes>
    Définir la ou les méthodes d’évaluation des LABEL et UUID. Actuellement, libblkid gère les méthodes « udev » et « scan ». Plus d’une méthode peut être indiquée dans une liste séparée par des virgules. La valeur par défaut est « udev,scan ». La méthode « udev » utilise les liens symboliques /dev/disk/by- d’*udev et la méthode « scan » analyse tous les périphériques bloc du fichier /proc/partitions.

ENVIRONNEMENT

La configuration LIBBLKID_DEBUG=all active la sortie de débogage.

AUTEURS

blkid was written by Andreas Dilger for libblkid and improved by Theodore Ts’o and Karel Zak.

VOIR AUSSI

libblkid(3), findfs(8), lsblk(8), wipefs(8)

SIGNALER DES BOGUES

Pour signaler un bogue, utilisez le

DISPONIBILITÉ

La commande blkid fait partie du paquet util-linux, elle est disponible sur